
package de.ivu.elect.business.stimmeingabe.boundary;

import java.util.Collection;

import de.ivu.elect.business.ergebnis.entity.Stimmenart;
import de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet;
import de.ivu.elect.business.stimmeingabe.control.AbstractStimmeingabeErfassenLabelGenerator;
import de.ivu.elect.business.stimmzettel.entity.EntityAufStimmzettelDaten;
import de.ivu.elect.business.wahl.entity.WahlartErgebnisart;

public abstract class AbstractListenwahlStimmeingabeErfassenLabelGenerator extends AbstractStimmeingabeErfassenLabelGenerator {

  private static final long serialVersionUID = 1L;

  protected AbstractListenwahlStimmeingabeErfassenLabelGenerator() {
    super();
  }

  @Override
  public boolean isGruppeHatKennung() {
    return false;
  }

  @Override
  public String getGruppeStimmenKennung(EntityAufStimmzettelDaten entityAufStimmzettelDaten, GruppeImGebiet gruppeImGebiet, WahlartErgebnisart ergebnisart,
      Collection<GruppeImGebiet> gruppenImGebiet) {
    return getGruppeStimmenKennung(entityAufStimmzettelDaten, gruppeImGebiet, ergebnisart, Stimmenart.LISTENSTIMME, gruppenImGebiet);
  }

  @Override
  public String getGruppeStimmenBezeichnung(EntityAufStimmzettelDaten entityAufStimmzettelDaten, GruppeImGebiet gruppeImGebiet, WahlartErgebnisart ergebnisart,
      Collection<GruppeImGebiet> gruppenImGebiet) {
    return getGruppeStimmenBezeichnung(entityAufStimmzettelDaten, gruppeImGebiet, ergebnisart, Stimmenart.LISTENSTIMME, gruppenImGebiet);
  }
}
